> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request additional information from client



## OpenAPI

````yaml /openapi/kyc.yaml post /kyc/identifications/{scanRef}/request-information/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYC Token
    description: Endpoints for creating KYC verification session tokens.
  - name: KYC Verifications
    description: Endpoints for actions with KYC verifications.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /kyc/identifications/{scanRef}/request-information/:
    post:
      tags:
        - KYC Verifications
      summary: Request additional information from client
      operationId: kycIdentificationsRequestInformationCreate
      parameters:
        - in: path
          name: scanRef
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IdentificationRequestInformationRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentificationRequestInformation'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    IdentificationRequestInformationRequest:
      type: object
      properties:
        lifetime:
          type: integer
          maximum: 2592000
          minimum: 0
          writeOnly: true
          default: 86400
        questionnaire:
          type: string
          minLength: 1
          writeOnly: true
        riskAssessmentProfile:
          type: string
          format: uuid
          writeOnly: true
        additionalStepUploadRequired:
          type: boolean
          writeOnly: true
    IdentificationRequestInformation:
      type: object
      properties:
        sessionUrl:
          type: string
          format: uri
          readOnly: true
        tokenString:
          type: string
          readOnly: true
      required:
        - sessionUrl
        - tokenString
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````